package cn.iocoder.yudao.module.order.convert.orderWarehousePicture;

import java.util.*;
import cn.iocoder.yudao.framework.common.pojo.PageResult;
import org.mapstruct.Mapper;
import org.mapstruct.factory.Mappers;
import cn.iocoder.yudao.module.order.vo.orderWarehousePicture.*;
import cn.iocoder.yudao.module.order.dal.dataobject.orderWarehousePicture.OrderWarehousePictureDO;

/**
 * 订单仓库图片 Convert
 * @author yanghao
 */
@Mapper
public interface OrderWarehousePictureConvert {
    /*****转换MapStruct*****/
    OrderWarehousePictureConvert INSTANCE = Mappers.getMapper(OrderWarehousePictureConvert.class);

    /***
     * 创建VO转实体
     * @param bean
     * @return
     */
    OrderWarehousePictureDO convert(OrderWarehousePictureCreateReqVO bean);

    /***
     * 修改VO转实体
     * @param bean
     * @return
     */
    OrderWarehousePictureDO convert(OrderWarehousePictureUpdateReqVO bean);

    /***
     * 实体转返回VO
     * @param bean
     * @return
    */
    OrderWarehousePictureBackVO convert(OrderWarehousePictureDO bean);

    /***
     * 实体列表转返回VO列表
     * @param list
     * @return
     */
    List<OrderWarehousePictureBackVO> convertList(List<OrderWarehousePictureDO> list);

    /***
     * 实体分页转返回分页
     * @param page
     * @return
     */
    PageResult<OrderWarehousePictureBackVO> convertPage(PageResult<OrderWarehousePictureDO> page);
}
